select t2.fsaler1,
       t2.fsaler2,
       replace(t1.fwechatname,'?','')as fwechatname,
       t1.famount,
       t1.createdate
from tagentactivities_cust t1
         inner join tagentactivities_share t2
                    on t1.siteid = t2.siteid and t1.tagentactivitiesid = t2.tagentactivitiesid and
                       t1.tagentactivities_shareid = t2.tagentactivities_shareid
where t1.siteid =$siteid$
  and t1.tagentactivitiesid=$tagentactivitiesid$
  and t2.fsaler1id=$tenterprise_userid$
  and t1.famount >0